Debian Bug report logs - #674342
fatal error: GNUnet/gnunet_ecrs_lib.h: No such file or directory

version graph

Package: src:gnunet-fuse; Maintainer for src:gnunet-fuse is Bertrand Marc <beberking@gmail.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 24 May 2012 10:22:46 UTC

Severity: serious

Tags: fixed-upstream, sid, wheezy

Found in version gnunet-fuse/0.8.0c-7

Fixed in version gnunet-fuse/0.9.3-1

Done: Bertrand Marc <beberking@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674342; Package src:gnunet-fuse. (Thu, 24 May 2012 10:22:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 24 May 2012 10:22:51 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gnunet-fuse: FTBFS: gcc: error: unrecognized command line option '-V'
Date: Thu, 24 May 2012 11:31:30 +0200
Source: gnunet-fuse
Version: 0.8.0c-7
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120524 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc version 4.7.0 (Debian 4.7.0-9) 
> configure:2670: $? = 0
> configure:2677: gcc -V >&5
> gcc: error: unrecognized command line option '-V'
> gcc: fatal error: no input files
> compilation terminated.
> configure:2681: $? = 4
> configure:2704: checking for C compiler default output file name
> configure:2726: gcc    conftest.c  >&5
> configure:2730: $? = 0
> configure:2768: result: a.out
> configure:2785: checking whether the C compiler works
> configure:2795: ./a.out
> configure:2799: $? = 0
> configure:2816: result: yes
> configure:2823: checking whether we are cross compiling
> configure:2825: result: no
> configure:2828: checking for suffix of executables
> configure:2835: gcc -o conftest    conftest.c  >&5
> configure:2839: $? = 0
> configure:2863: result: 
> configure:2869: checking for suffix of object files
> configure:2895: gcc -c   conftest.c >&5
> configure:2899: $? = 0
> configure:2922: result: o
> configure:2926: checking whether we are using the GNU C compiler
> configure:2955: gcc -c   conftest.c >&5
> configure:2962: $? = 0
> configure:2979: result: yes
> configure:2988: checking whether gcc accepts -g
> configure:3018: gcc -c -g  conftest.c >&5
> configure:3025: $? = 0
> configure:3126: result: yes
> configure:3143: checking for gcc option to accept ISO C89
> configure:3217: gcc  -c -g -O2  conftest.c >&5
> configure:3224: $? = 0
> configure:3247: result: none needed
> configure:3276: checking for style of include used by make
> configure:3304: result: GNU
> configure:3329: checking dependency style of gcc
> configure:3420: result: none
> configure:3436: checking whether gcc and cc understand -c and -o together
> configure:3471: gcc -c conftest.c -o conftest2.o >&5
> configure:3475: $? = 0
> configure:3481: gcc -c conftest.c -o conftest2.o >&5
> configure:3485: $? = 0
> configure:3496: cc -c conftest.c >&5
> configure:3500: $? = 0
> configure:3508: cc -c conftest.c -o conftest2.o >&5
> configure:3512: $? = 0
> configure:3518: cc -c conftest.c -o conftest2.o >&5
> configure:3522: $? = 0
> configure:3540: result: yes
> configure:3572: checking how to run the C preprocessor
> configure:3612: gcc -E  conftest.c
> configure:3619: $? = 0
> configure:3650: gcc -E  conftest.c
> conftest.c:10:28: fatal error: ac_nonexistent.h: No such file or directory
> compilation terminated.
> configure:3657: $? = 1
> configure: failed program was:
> | /* confdefs.h.  */
> | #define PACKAGE_NAME "gnunet-fuse"
> | #define PACKAGE_TARNAME "gnunet-fuse"
> | #define PACKAGE_VERSION "0.8.0c"
> | #define PACKAGE_STRING "gnunet-fuse 0.8.0c"
> | #define PACKAGE_BUGREPORT ""
> | #define PACKAGE "gnunet-fuse"
> | #define VERSION "0.8.0c"
> | /* end confdefs.h.  */
> | #include <ac_nonexistent.h>
> configure:3690: result: gcc -E
> configure:3719: gcc -E  conftest.c
> configure:3726: $? = 0
> configure:3757: gcc -E  conftest.c
> conftest.c:10:28: fatal error: ac_nonexistent.h: No such file or directory
> compilation terminated.
> configure:3764: $? = 1
> configure: failed program was:
> | /* confdefs.h.  */
> | #define PACKAGE_NAME "gnunet-fuse"
> | #define PACKAGE_TARNAME "gnunet-fuse"
> | #define PACKAGE_VERSION "0.8.0c"
> | #define PACKAGE_STRING "gnunet-fuse 0.8.0c"
> | #define PACKAGE_BUGREPORT ""
> | #define PACKAGE "gnunet-fuse"
> | #define VERSION "0.8.0c"
> | /* end confdefs.h.  */
> | #include <ac_nonexistent.h>
> configure:3802: checking for grep that handles long lines and -e
> configure:3862: result: /bin/grep
> configure:3867: checking for egrep
> configure:3931: result: /bin/grep -E
> configure:3936: checking for ANSI C header files
> configure:3966: gcc -c -g -O2  conftest.c >&5
> configure:3973: $? = 0
> configure:4072: gcc -o conftest -g -O2   conftest.c  >&5
> configure:4076: $? = 0
> configure:4082: ./conftest
> configure:4086: $? = 0
> configure:4104: result: yes
> configure:4128: checking for sys/types.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for sys/stat.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for stdlib.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for string.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for memory.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for strings.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for inttypes.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for stdint.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4128: checking for unistd.h
> configure:4149: gcc -c -g -O2  conftest.c >&5
> configure:4156: $? = 0
> configure:4173: result: yes
> configure:4187: checking whether char is unsigned
> configure:4215: gcc -c -g -O2  conftest.c >&5
> configure:4222: $? = 0
> configure:4237: result: no
> configure:4298: checking for pkg-config
> configure:4316: found /usr/bin/pkg-config
> configure:4328: result: /usr/bin/pkg-config
> dh_auto_configure: ./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/gnunet-fuse --disable-maintainer-mode --disable-dependency-tracking returned exit code 1
> configure:4357: checking pkg-config is at least version 0.9.0
> configure:4360: result: yes
> configure:4371: checking for GLIB
> configure:4378: $PKG_CONFIG --exists --print-errors "glib-2.0"
> configure:4381: $? = 0
> configure:4394: $PKG_CONFIG --exists --print-errors "glib-2.0"
> configure:4397: $? = 0
> configure:4472: result: yes
> configure:4478: checking for FUSE
> configure:4485: $PKG_CONFIG --exists --print-errors "fuse >= 2.6"
> configure:4488: $? = 0
> configure:4501: $PKG_CONFIG --exists --print-errors "fuse >= 2.6"
> configure:4504: $? = 0
> configure:4579: result: yes
> configure:4586: checking for GNUnet core
> configure:5035: result: --with-gnunet not specified
> configure:5053: checking GNUnet/gnunet_ecrs_lib.h usability
> configure:5070: gcc -c -g -O2  conftest.c >&5
> conftest.c:53:36: fatal error: GNUnet/gnunet_ecrs_lib.h: No such file or directory
> compilation terminated.
> configure:5077: $? = 1
> configure: failed program was:
> | /* confdefs.h.  */
> | #define PACKAGE_NAME "gnunet-fuse"
> | #define PACKAGE_TARNAME "gnunet-fuse"
> | #define PACKAGE_VERSION "0.8.0c"
> | #define PACKAGE_STRING "gnunet-fuse 0.8.0c"
> | #define PACKAGE_BUGREPORT ""
> | #define PACKAGE "gnunet-fuse"
> | #define VERSION "0.8.0c"
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h.  */
> | #include <stdio.h>
> | #ifdef HAVE_SYS_TYPES_H
> | # include <sys/types.h>
> | #endif
> | #ifdef HAVE_SYS_STAT_H
> | # include <sys/stat.h>
> | #endif
> | #ifdef STDC_HEADERS
> | # include <stdlib.h>
> | # include <stddef.h>
> | #else
> | # ifdef HAVE_STDLIB_H
> | #  include <stdlib.h>
> | # endif
> | #endif
> | #ifdef HAVE_STRING_H
> | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
> | #  include <memory.h>
> | # endif
> | # include <string.h>
> | #endif
> | #ifdef HAVE_STRINGS_H
> | # include <strings.h>
> | #endif
> | #ifdef HAVE_INTTYPES_H
> | # include <inttypes.h>
> | #endif
> | #ifdef HAVE_STDINT_H
> | # include <stdint.h>
> | #endif
> | #ifdef HAVE_UNISTD_H
> | # include <unistd.h>
> | #endif
> | #include <GNUnet/gnunet_ecrs_lib.h>
> configure:5091: result: no
> configure:5095: checking GNUnet/gnunet_ecrs_lib.h presence
> configure:5110: gcc -E  conftest.c
> conftest.c:20:36: fatal error: GNUnet/gnunet_ecrs_lib.h: No such file or directory
> compilation terminated.
> configure:5117: $? = 1
> configure: failed program was:
> | /* confdefs.h.  */
> | #define PACKAGE_NAME "gnunet-fuse"
> | #define PACKAGE_TARNAME "gnunet-fuse"
> | #define PACKAGE_VERSION "0.8.0c"
> | #define PACKAGE_STRING "gnunet-fuse 0.8.0c"
> | #define PACKAGE_BUGREPORT ""
> | #define PACKAGE "gnunet-fuse"
> | #define VERSION "0.8.0c"
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h.  */
> | #include <GNUnet/gnunet_ecrs_lib.h>
> configure:5131: result: no
> configure:5159: checking for GNUnet/gnunet_ecrs_lib.h
> configure:5168: result: no
> configure:5254: error: gnunet-fuse requires GNUnet
> 
> ## ---------------- ##
> ## Cache variables. ##
> ## ---------------- ##
> 
> ac_cv_c_char_unsigned=no
> ac_cv_c_compiler_gnu=yes
> ac_cv_env_CC_set=
> ac_cv_env_CC_value=
> ac_cv_env_CFLAGS_set=
> ac_cv_env_CFLAGS_value=
> ac_cv_env_CPPFLAGS_set=
> ac_cv_env_CPPFLAGS_value=
> ac_cv_env_CPP_set=
> ac_cv_env_CPP_value=
> ac_cv_env_FUSE_CFLAGS_set=
> ac_cv_env_FUSE_CFLAGS_value=
> ac_cv_env_FUSE_LIBS_set=
> ac_cv_env_FUSE_LIBS_value=
> ac_cv_env_GLIB_CFLAGS_set=
> ac_cv_env_GLIB_CFLAGS_value=
> ac_cv_env_GLIB_LIBS_set=
> ac_cv_env_GLIB_LIBS_value=
> ac_cv_env_LDFLAGS_set=
> ac_cv_env_LDFLAGS_value=
> ac_cv_env_LIBS_set=
> ac_cv_env_LIBS_value=
> ac_cv_env_PKG_CONFIG_set=
> ac_cv_env_PKG_CONFIG_value=
> ac_cv_env_build_alias_set=set
> ac_cv_env_build_alias_value=x86_64-linux-gnu
> ac_cv_env_host_alias_set=
> ac_cv_env_host_alias_value=
> ac_cv_env_target_alias_set=
> ac_cv_env_target_alias_value=
> ac_cv_header_GNUnet_gnunet_ecrs_lib_h=no
> ac_cv_header_inttypes_h=yes
> ac_cv_header_memory_h=yes
> ac_cv_header_stdc=yes
> ac_cv_header_stdint_h=yes
> ac_cv_header_stdlib_h=yes
> ac_cv_header_string_h=yes
> ac_cv_header_strings_h=yes
> ac_cv_header_sys_stat_h=yes
> ac_cv_header_sys_types_h=yes
> ac_cv_header_unistd_h=yes
> ac_cv_objext=o
> ac_cv_path_EGREP='/bin/grep -E'
> ac_cv_path_GREP=/bin/grep
> ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
> ac_cv_path_install='/usr/bin/install -c'
> ac_cv_path_mkdir=/bin/mkdir
> ac_cv_prog_AWK=mawk
> ac_cv_prog_CPP='gcc -E'
> ac_cv_prog_ac_ct_CC=gcc
> ac_cv_prog_cc_c89=
> ac_cv_prog_cc_g=yes
> ac_cv_prog_cc_gcc_c_o=yes
> ac_cv_prog_make_make_set=yes
> am_cv_CC_dependencies_compiler_type=none
> pkg_cv_FUSE_CFLAGS='-D_FILE_OFFSET_BITS=64 -I/usr/include/fuse  '
> pkg_cv_FUSE_LIBS='-lfuse  '
> pkg_cv_GLIB_CFLAGS='-I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  '
> pkg_cv_GLIB_LIBS='-lglib-2.0  '
> 
> ## ----------------- ##
> ## Output variables. ##
> ## ----------------- ##
> 
> ACLOCAL='${SHELL} /«PKGBUILDDIR»/missing --run aclocal-1.10'
> AMDEPBACKSLASH=''
> AMDEP_FALSE=''
> AMDEP_TRUE='#'
> AMTAR='${SHELL} /«PKGBUILDDIR»/missing --run tar'
> AUTOCONF='${SHELL} /«PKGBUILDDIR»/missing --run autoconf'
> AUTOHEADER='${SHELL} /«PKGBUILDDIR»/missing --run autoheader'
> AUTOMAKE='${SHELL} /«PKGBUILDDIR»/missing --run automake-1.10'
> AWK='mawk'
> CC='gcc'
> CCDEPMODE='depmode=none'
> CFLAGS='-g -O2'
> CPP='gcc -E'
> CPPFLAGS=''
> CYGPATH_W='echo'
> DEFS=''
> DEPDIR='.deps'
> ECHO_C=''
> ECHO_N='-n'
> ECHO_T=''
> EGREP='/bin/grep -E'
> EXEEXT=''
> FUSE_CFLAGS='-D_FILE_OFFSET_BITS=64 -I/usr/include/fuse  '
> FUSE_LIBS='-lfuse  '
> GLIB_CFLAGS='-I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  '
> GLIB_LIBS='-lglib-2.0  '
> GREP='/bin/grep'
> INSTALL_DATA='${INSTALL} -m 644'
> INSTALL_PROGRAM='${INSTALL}'
> INSTALL_SCRIPT='${INSTALL}'
> INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
> LDFLAGS=''
> LIBOBJS=''
> LIBS=''
> LTLIBOBJS=''
> MAKEINFO='${SHELL} /«PKGBUILDDIR»/missing --run makeinfo'
> MKDIR_P='/bin/mkdir -p'
> OBJEXT='o'
> PACKAGE='gnunet-fuse'
> PACKAGE_BUGREPORT=''
> PACKAGE_NAME='gnunet-fuse'
> PACKAGE_STRING='gnunet-fuse 0.8.0c'
> PACKAGE_TARNAME='gnunet-fuse'
> PACKAGE_VERSION='0.8.0c'
> PATH_SEPARATOR=':'
> PKG_CONFIG='/usr/bin/pkg-config'
> SET_MAKE=''
> SHELL='/bin/bash'
> STRIP=''
> VERSION='0.8.0c'
> ac_ct_CC='gcc'
> am__fastdepCC_FALSE=''
> am__fastdepCC_TRUE='#'
> am__include='include'
> am__isrc=''
> am__leading_dot='.'
> am__quote=''
> am__tar='${AMTAR} chof - "$$tardir"'
> am__untar='${AMTAR} xf -'
> bindir='${exec_prefix}/bin'
> build_alias='x86_64-linux-gnu'
> datadir='${datarootdir}'
> datarootdir='${prefix}/share'
> docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
> dvidir='${docdir}'
> exec_prefix='NONE'
> host_alias=''
> htmldir='${docdir}'
> includedir='${prefix}/include'
> infodir='${prefix}/share/info'
> install_sh='$(SHELL) /«PKGBUILDDIR»/install-sh'
> libdir='${exec_prefix}/lib'
> libexecdir='${prefix}/lib/gnunet-fuse'
> localedir='${datarootdir}/locale'
> localstatedir='/var'
> mandir='${prefix}/share/man'
> mkdir_p='/bin/mkdir -p'
> oldincludedir='/usr/include'
> pdfdir='${docdir}'
> prefix='/usr'
> program_transform_name='s,x,x,'
> psdir='${docdir}'
> sbindir='${exec_prefix}/sbin'
> sharedstatedir='${prefix}/com'
> sysconfdir='/etc'
> target_alias=''
> 
> ## ----------- ##
> ## confdefs.h. ##
> ## ----------- ##
> 
> #define PACKAGE_NAME "gnunet-fuse"
> #define PACKAGE_TARNAME "gnunet-fuse"
> #define PACKAGE_VERSION "0.8.0c"
> #define PACKAGE_STRING "gnunet-fuse 0.8.0c"
> #define PACKAGE_BUGREPORT ""
> #define PACKAGE "gnunet-fuse"
> #define VERSION "0.8.0c"
> #define STDC_HEADERS 1
> #define HAVE_SYS_TYPES_H 1
> #define HAVE_SYS_STAT_H 1
> #define HAVE_STDLIB_H 1
> #define HAVE_STRING_H 1
> #define HAVE_MEMORY_H 1
> #define HAVE_STRINGS_H 1
> #define HAVE_INTTYPES_H 1
> #define HAVE_STDINT_H 1
> #define HAVE_UNISTD_H 1
> 
> configure: exit 1
> make: *** [build] Error 25

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/05/24/gnunet-fuse_0.8.0c-7_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674342; Package src:gnunet-fuse. (Wed, 30 May 2012 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 30 May 2012 13:57:10 GMT) Full text and rfc822 format available.

Message #10 received at 674342@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 674342@bugs.debian.org
Subject: not a GCC 4.7 build failure
Date: Wed, 30 May 2012 21:54:52 +0800
retitle 674342 fatal error: GNUnet/gnunet_ecrs_lib.h: No such file or directory
user debian-gcc@lists.debian.org
usertags 674342 - ftbfs-gcc-4.7
thanks

missing header file, not unrecognized GCC option




Changed Bug title to 'fatal error: GNUnet/gnunet_ecrs_lib.h: No such file or directory' from 'gnunet-fuse: FTBFS: gcc: error: unrecognized command line option '-V'' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 13:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674342; Package src:gnunet-fuse. (Thu, 07 Jun 2012 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 07 Jun 2012 18:15:02 GMT) Full text and rfc822 format available.

Message #17 received at 674342@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 674342@bugs.debian.org
Subject: gnunet-fuse FTBFS
Date: Thu, 07 Jun 2012 20:12:30 +0200
GNUnet-fuse 0.9.3 is out, and it seems to build fine with gcc 4.7. So 
this bug is fixed upstream.

I'll try to update the package as soon as possible, but it depends on 
GNUnet 0.9.3 which I need to package first.

Cheers,
Bertrand




Added tag(s) fixed-upstream. Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 18:21:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674342; Package src:gnunet-fuse. (Fri, 08 Jun 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 08 Jun 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 674342@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-release@lists.debian.org
Cc: 674342@bugs.debian.org, Bertrand Marc <beberking@gmail.com>
Subject: permission to upload gnunet (to fix gnunet-fuse)
Date: Fri, 8 Jun 2012 09:17:01 +0200
Hi,

gnunet-fuse currently FTBFS (674342), essentially because it's the old 0.8.x 
package. gnunet 0.9.2 is in wheezy, but gnunet-fuse 0.9.3 needs gnunet 0.9.3, 
and Bertrand is preparing packages for both atm.

As you'll know, gnunet is involved in the mysql transition, which is why I'm 
mailing you now, to ask whether I should sponsor Bertrands uploads now or 
whether you prefer we wait.

So?


cheers,
	Holger




Reply sent to Bertrand Marc <beberking@gmail.com>:
You have taken responsibility. (Wed, 20 Jun 2012 16:36:20 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 20 Jun 2012 16:36:20 GMT) Full text and rfc822 format available.

Message #29 received at 674342-close@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 674342-close@bugs.debian.org
Subject: Bug#674342: fixed in gnunet-fuse 0.9.3-1
Date: Wed, 20 Jun 2012 16:32:54 +0000
Source: gnunet-fuse
Source-Version: 0.9.3-1

We believe that the bug you reported is fixed in the latest version of
gnunet-fuse, which is due to be installed in the Debian FTP archive:

gnunet-fuse_0.9.3-1.debian.tar.gz
  to main/g/gnunet-fuse/gnunet-fuse_0.9.3-1.debian.tar.gz
gnunet-fuse_0.9.3-1.dsc
  to main/g/gnunet-fuse/gnunet-fuse_0.9.3-1.dsc
gnunet-fuse_0.9.3-1_amd64.deb
  to main/g/gnunet-fuse/gnunet-fuse_0.9.3-1_amd64.deb
gnunet-fuse_0.9.3.orig.tar.gz
  to main/g/gnunet-fuse/gnunet-fuse_0.9.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674342@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bertrand Marc <beberking@gmail.com> (supplier of updated gnunet-fuse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Jun 2012 22:01:43 +0200
Source: gnunet-fuse
Binary: gnunet-fuse
Architecture: source amd64
Version: 0.9.3-1
Distribution: unstable
Urgency: low
Maintainer: Bertrand Marc <beberking@gmail.com>
Changed-By: Bertrand Marc <beberking@gmail.com>
Description: 
 gnunet-fuse - secure, trust-based peer-to-peer framework (fuse filesystem clien
Closes: 660439 674342
Changes: 
 gnunet-fuse (0.9.3-1) unstable; urgency=low
 .
   * New maintainer (Closes: #660439).
   * Add debian/watch.
   * Imported Upstream version 0.9.3 (Closes: #674342).
   * New maintainer.
   * debian/control: add Vcs-Git and Vcs-browser fields.
   * Standards version 3.9.3: no changes needed.
   * debian/copyright:
     + use copyright format 1.0.
     + gnunet-fuse is now released under the GPL-3+.
   * Rename and update the manpage.
   * Update debhelper compatibility level to v9.
   * Move to dh-autoreconf.
Checksums-Sha1: 
 9354460af1d46c3b26908733fcb963ce08ed3866 1957 gnunet-fuse_0.9.3-1.dsc
 f5d83ec5595418307f2095f5c99a81807b1e5a1f 276794 gnunet-fuse_0.9.3.orig.tar.gz
 19569ce111bba10ab12758902c9042dcde7c165e 3939 gnunet-fuse_0.9.3-1.debian.tar.gz
 464dfe2eda33ba85e1b1c1c3f0863bcaad9c5c10 13920 gnunet-fuse_0.9.3-1_amd64.deb
Checksums-Sha256: 
 74c57f2e1565e66d6438a121475f17de77af7421a14365d858acce98f6b77392 1957 gnunet-fuse_0.9.3-1.dsc
 31bcd4cd52e92205e32c48a2b9a903d76c613b7639a46af93277b354309a78ff 276794 gnunet-fuse_0.9.3.orig.tar.gz
 646911cfbe91885b069be2ff780c2f6a887564d7bca6f59b910b92f70b030d33 3939 gnunet-fuse_0.9.3-1.debian.tar.gz
 76ad80867156b5562990b7f3a47fc98fad59a514176131be6dec7ad2e059146d 13920 gnunet-fuse_0.9.3-1_amd64.deb
Files: 
 d23f83f490a8fcb3125cc877f505daf9 1957 net optional gnunet-fuse_0.9.3-1.dsc
 b228d92f5dadfb90b15fe7c0f939d9f8 276794 net optional gnunet-fuse_0.9.3.orig.tar.gz
 0720d29df2c361ff4c37c35fde10bea0 3939 net optional gnunet-fuse_0.9.3-1.debian.tar.gz
 e55712e5c5153baca4bfc89cec5b4c8b 13920 net optional gnunet-fuse_0.9.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBT+H5dAkauFYGmqocAQjsOg//RZFDCkyPjsMURLbwQoQBy2JIvow/81Nw
r4VxSZfhtMo0DG8+kzeC0l/XIgQrjXj4eoTJg+CUhnnMtqfw7AFDJhrc0wsO/jfW
LvKzdGjqpPEQF/Ac7Y3cQzz96kKIBb0pKpSsuMfUF3e5py/ASvLLslSzUTIbKJVT
t/bmPgr4id+KRxW610Mgo7XOX6w5W9Z/YdclnU6YPtgs1Fp4CahDoHX6kSLWXRZn
dU2/AUqf+E0f4kHNj67oW63boXNgQriTIPd8H246BC6X8O+W2DWKbgHwIIfimeGz
/m9AjtDUgoFbq/i+pY8weKvukWY0apkdNCkq6DAZLwzY7JkE85g28w1Jd2uJvXHy
toIRWekBtIOvv3HwT7WB6ORS382pFn3zyU7IWoLW3mSEkfd6Fjv4g/cM0B2lWIyW
Ie8ouYZiQAjt8P2QlB2crh1uubczZh2VQHOj4aPcKTQdBJJ+cvXPj29mFMLrN3g/
y1uVdqiM0EzLih1NpKjiJzD6tLGcPJ3H+SPNFuLg7C2a4KcO1oUgtI5ryhND7hrV
YSHbGYn0ZitVXWedcLOW/LfHyuPVutOz88gFUqx1e8NXuo7iPLpzR6U96SvwccBU
P/M52DcTu3w2qfwU54r2Th4kv8g2Si04G4/o9vQ8bnSP2XFqP4/dFshFyMl9a6dP
rLr6zT8fNL8=
=+6Fk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2012 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:01:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.